## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 5;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           protobuf-c
Version:        1.4.1
Release:        %autorelease
Summary:        C bindings for Google's Protocol Buffers

License:        BSD-2-Clause
URL:            https://github.com/%{name}/%{name}
Source0:        %{url}/releases/download/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  gcc-c++
BuildRequires:  make
BuildRequires:  pkgconfig(protobuf)

%description
Protocol Buffers are a way of encoding structured data in an efficient yet
extensible format. This package provides a code generator and run-time
libraries to use Protocol Buffers from pure C (not C++).

It uses a modified version of protoc called protoc-c.

%package compiler
Summary:        Protocol Buffers C compiler
Requires:       %{name}%{?_isa} = %{?epoch:%{epoch}:}%{version}-%{release}

%description compiler
This package contains a modified version of the Protocol Buffers
compiler for the C programming language called protoc-c.

%package devel
Summary:        Protocol Buffers C headers and libraries
Requires:       %{name}%{?_isa} = %{?epoch:%{epoch}:}%{version}-%{release}
Requires:       %{name}-compiler%{?_isa} = %{?epoch:%{epoch}:}%{version}-%{release}

%description devel
This package contains protobuf-c headers and libraries.

%prep
%autosetup -p1

%build
%configure --disable-static
%make_build

%check
make check

%install
%make_install
find %{buildroot} -type f -name '*.la' -delete

%files
%license LICENSE
%doc ChangeLog README.md TODO
%{_libdir}/lib%{name}.so.*

%files compiler
%{_bindir}/protoc-c
%{_bindir}/protoc-gen-c

%files devel
%dir %{_includedir}/google
%{_includedir}/%{name}/
%{_includedir}/google/%{name}/
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/lib%{name}.pc

%changelog
* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Tue Dec 13 2022 Vitaly Zaitsev <vitaly@easycoding.org> - 1.4.1-3
- Converted license tag to SPDX format.

* Fri Sep 02 2022 Vitaly Zaitsev <vitaly@easycoding.org> - 1.4.1-2
- Added missing build requirements.

* Fri Sep 02 2022 Vitaly Zaitsev <vitaly@easycoding.org> - 1.4.1-1
- Updated to version 1.4.1.

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Thu Jun 30 2022 Adrian Reber <adrian@lisas.de> - 1.4.0-5
- Added patch to fix CVE-2022-33070 (#2102598, #2102599)

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Nov 05 2021 Adrian Reber <adrian@lisas.de> - 1.4.0-3
- Rebuilt for protobuf 3.19.0

* Fri Oct 22 2021 Adrian Reber <adrian@lisas.de> - 1.4.0-2
- local build
